<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de Productosgenerales (Administrador general)
class ProductoAdicionalR_Model extends CI_Model{
	  public function __construct() {
      parent::__construct();
}
    public function BuscarZona(){
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
  //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporzona($query) {
    $this->db->where('Zona_IdZona', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('productosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Franquiciatario/ProductoR','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Franquiciatario/ProductoR';
                 </script>";
  }
}
    public function BuscarFranq(){
    $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
//consulta que hace la busqueda del usuario dependiendo de la franquicia
    public function buscarporfran($query) {
    $this->db->where('Franquicias_IdFranquicias', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get(' productosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Franquiciatario/ProductoR','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Franquiciatario/ProductoR';
                 </script>";
    }
  }
}